import "Turbine";
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Turbine.Gameplay"

characters={}

string_lang={
	["add"]		={["EN"]="add",["DE"]="Hinzuf\195\188gen",["FR"]="[add]", },
	["remove"]	={["EN"]="remove",["DE"]="Entfernen",["FR"]="[remove]", },
	["title"]	={["EN"]="Body-Count",["DE"]="Kill-Counter",["FR"]="[Titel]", },
	["written"]	={	["EN"]=", by Mandraval, based on code by Thurallor",
				["DE"]=", von Mandraval, auf dem Code von Thurallor basierend",
				["FR"]="[written]", },
	["reset"]	={	["EN"]="Reset Counter",
				["DE"]="Z\195\164hler zur\195\188cksetzen",
				["FR"]="[reset counter]", },
}

function print(text) 
	if(text~=nil) then 
		Turbine.Shell.WriteLine("<rgb=#00FF80>bc:</rgb> "..text or "") 
	end
end

--**v Detect Game Language v**
-- Legend: 0 = invalid / 2 = English / 268435457 = EnglishGB / 268435459 = Francais / 268435460 = Deutsch / 268435463 = Russian
GLocale = Turbine.Engine.GetLanguage();
if GLocale == 268435459 then cur_lang = "FR";
elseif GLocale == 268435460 then cur_lang = "DE"; 
else cur_lang = "EN";
end
--**^ this code fragment is from Titansbars
player = Turbine.Gameplay.LocalPlayer.GetInstance()
pname = player:GetName()
local width = 200;
local height= 70;
killcount=0;

posx=math.floor((Turbine.UI.Display.GetWidth() - width) / 2)
posy=math.floor((Turbine.UI.Display.GetHeight() - height) / 2)

pane = Turbine.UI.Window();
pane:SetVisible(true);
pane:SetZOrder(2147483647);
pane.MouseEnter = function()
    pane:SetBackColor(Turbine.UI.Color(0.25, 1, 1, 1));
    BodyButton:SetVisible(true);
end
pane.MouseLeave = function()
    pane:SetBackColor(nil);
    BodyButton:SetVisible(false);
end
pane:SetSize(width, height);
pane:SetPosition(posx,posy);



TitelCaption = Turbine.UI.Label();
TitelCaption:SetParent(pane);
TitelCaption:SetFont(Turbine.UI.Lotro.Font.TrajanPro16);
TitelCaption:SetTextAlignment(Turbine.UI.ContentAlignment.BottomCenter);
TitelCaption:SetForeColor(Turbine.UI.Color(1.0, 0.75, 0.0));
TitelCaption:SetFontStyle(Turbine.UI.FontStyle.Outline);
TitelCaption:SetOutlineColor(Turbine.UI.Color(0, 0, 0));
TitelCaption:SetText(string_lang["title"][cur_lang]);
TitelCaption:SetMouseVisible(false);
TitelCaption:SetPosition(0,0);
TitelCaption:SetSize(width,16);


function do_update()
	BodyStatus:SetText(string.format("%d",killcount));
end

BodyButton = Turbine.UI.Lotro.Button();
BodyButton:SetParent(pane);
BodyButton:SetVisible(false);
BodyButton:SetFont(Turbine.UI.Lotro.Font.TrajanPro13);
BodyButton:SetText(string_lang["reset"][cur_lang]);
BodyButton:SetPosition(0,48);
BodyButton:SetSize(width,16);
BodyButton.Click = function()
	killcount=0;
	do_update()
end

BodyStatus = Turbine.UI.Label();
BodyStatus:SetParent(pane);
BodyStatus:SetFont(Turbine.UI.Lotro.Font.TrajanProBold36);
BodyStatus:SetTextAlignment(Turbine.UI.ContentAlignment.TopCenter);
BodyStatus:SetForeColor(Turbine.UI.Color(1.0, 1.0, 1.0));
BodyStatus:SetFontStyle(Turbine.UI.FontStyle.Outline);
BodyStatus:SetOutlineColor(Turbine.UI.Color(0, 0, 0));
BodyStatus:SetText("0");
BodyStatus:SetMouseVisible(false);
BodyStatus:SetPosition(0,16);
BodyStatus:SetSize(width,32);


pane.MouseDown = function()
    pane.prevMouseX, pane.prevMouseY = Turbine.UI.Display.GetMouseX(), Turbine.UI.Display.GetMouseY();
    pane.dragging = true;
end

pane.MouseUp = function()
    pane.dragging = false;
end

pane.MouseMove = function()
    if (pane.dragging) then
        local x, y = Turbine.UI.Display.GetMouseX(), Turbine.UI.Display.GetMouseY();
        deltaX, deltaY = x - pane.prevMouseX, y - pane.prevMouseY;
        pane:SetPosition(pane:GetLeft() + deltaX, pane:GetTop() + deltaY);
        pane.prevMouseX, pane.prevMouseY = x, y;
	posx,posy=x,y
    end
end

-- Chat monitor.
ChatMonitor = Turbine.Chat;
ChatMonitor.Received = function(f, args)
	-- Valid if in Standard chat and sent by local player.
	local msg = args.Message;
	if(args.ChatType == Turbine.ChatType.Death) then
		killcount=killcount+1
--		print (msg)
		do_update()
	end
end

Turbine.Shell.WriteLine("Body-Count "..Plugins["Body-Count"]:GetVersion()..string_lang["written"][cur_lang]);
